var pi_Overlay = {

	// Set parsing debug (true,false)
	parseDebug: false,
	
	// Local debugging (true,false)
	local: true,
	
	/**
	 * Initializization
	 *
	 * @param event
	 */
	init: function(e) {
		var tDocument = e.originalTarget;
		var loc = tDocument.location;
		var highlightEnabled = pi_Prefs.getPref('extensions.pi.highlight.enabled');
		var searchhelperEnabled = pi_Prefs.getPref("extensions.pi.searchhelper.enabled");
		var mod = pi_Prefs.getPref("extensions.pi.mod.enabled");
		
		// Register styles
		pi_Styles.init();
		
		// Remove junk
		if (mod) pi_Mod.strip(tDocument);
		
		// Check site
		if (loc.href.match( /http:\/\/.*pisexy\.org\/browse.*/i )) { // Browse page
		// if (loc.href.match( /.*browsedvd\.php/i )) { // Browse page
			if (highlightEnabled) {
				
				pi_Highlight.snatches(tDocument);
				pi_Highlight.seedleech(tDocument);
				pi_Highlight.text(tDocument);
				
				// pi_URL.rows(tDocument); // Coming soon...
				
				if (this.parseDebug) {
					pi_Parse.debug(tDocument);
				}
			} 
		}
		else if ( loc.href.match( /http:\/\/.*pisexy\.org\/torrentinfo.*/i ) ) { // Info page
		// else if (loc.href.match( /.*info\.php/i ) ) { // Info page
			if (searchhelperEnabled) {
				
				var parsedTitle = pi_Parse.title(tDocument);
				
				// Check if IMDB link already exists
				var imdb_link = xFetch1("//a[contains(@href, 'imdb.com')]", tDocument); //CHANGED!
			  if (imdb_link) {
					imdb_link = String(imdb_link);
				}
				
				// Insert container
				createInfoBox(tDocument, parsedTitle);
				
				// Start XHR events
				pi_XHR.init(parsedTitle, tDocument, imdb_link);
			}
		}
	},
	
	onMenuItemCommand: function() {
		window.openDialog("chrome://pi/content/pi.xul", "PiSettings", "chrome=yes,resizable=yes");
	}	
};

getBrowser().addEventListener("DOMContentLoaded", function(e) { pi_Overlay.init(e) }, false);